org.eclipse.ease.modules

## Interface IModuleWrapper

All Known Implementing Classes:
  AbstractModuleWrapper, JavaScriptModuleWrapper

    public interface IModuleWrapper

### Method Summary

Methods
`String` `classInstantiation(Class<?> clazz, String[] parameters)`
`String` `createFunctionWrapper(IEnvironment environment, String moduleVariable, Method method)`
`String` `createStaticFieldWrapper(IEnvironment environment, String moduleVariable, Field field)`
`String` `getSaveVariableName(String variableName)`

### Method Detail

#### getSaveVariableName

    String getSaveVariableName(String variableName)

#### createFunctionWrapper

    String createFunctionWrapper(IEnvironment environment,
                               String moduleVariable,
                               Method method)

#### classInstantiation

    String classInstantiation(Class<?> clazz,
                            String[] parameters)

#### createStaticFieldWrapper

    String createStaticFieldWrapper(IEnvironment environment,
                                  String moduleVariable,
                                  Field field)